1.93 Upgrade Issue

Having problems with the panel? Have questions? Post here!
Post Reply
balon
Posts: 11
Joined: Sat Jul 25, 2015 3:12 pm

1.93 Upgrade Issue

Post by balon » Tue Nov 21, 2017 10:10 am

Hey Masher,

First -- thank you for all the work on UGCC. These new updates are AMAZING.

Issue on 1.93 build.. on the main page. Using mono:
Mono JIT compiler version 3.2.8 (Debian 3.2.8+dfsg-10)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
TLS: __thread
SIGSEGV: altstack
Notifications: epoll
Architecture: amd64
Disabled: none
Misc: softdebug
LLVM: supported, not enabled.
GC: sgen


err wrote:Input string was not in the correct format at System.Int32.Parse (System.String s) [0x00000] in <filename unknown>:0 at System.Convert.ToInt32 (System.String value) [0x00000] in <filename unknown>:0 at UGCC_Sharp.tools.remote_command (UGCC_Sharp.dbinterface& sql, Int32 id, System.String command, System.String data, System.String& error, Int32 sdefid) [0x00000] in <filename unknown>:0 at UGCC_Sharp.tools.isRunningByPid (Int32 pid, System.String cmd, Int32 id, UGCC_Sharp.dbinterface& sql, System.String& error, Int32 sdefid) [0x00000] in <filename unknown>:0 at UGCC_Sharp.tools.get_status (Int32 id, UGCC_Sharp.dbinterface& sql, System.String cmd, System.String spid, System.String pidcmd, System.String sdefid, System.String gracefulcountdown, pending_action action, System.String updatepid, System.String updatecmd, System.String& error) [0x00000] in <filename unknown>:0 at UGCC_Sharp.menu.#=qQk2NEFw88r93bfW$JUKoEA== (System.String #=q4If3meRTZ$LoK7FBXym9dA==, UGCC_Sharp.dbinterface& #=qMAujLdvrVbSToN6_Viglfg==) [0x00000] in <filename unknown>:0 at UGCC_Sharp.menu.Page_Load (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0

Masher
Site Admin
Posts: 3191
Joined: Thu Apr 20, 2006 2:54 pm
Location: Ohio
Contact:

Re: 1.93 Upgrade Issue

Post by Masher » Tue Nov 21, 2017 11:31 am

Did you update the monitor?
Masher
-----------
Please do not PM me unless asked to! We are a small company and if you have an issue or question it would be best to post it in the forums where it can help others in the future.

Need an affordable web control panel? Try UGCC.

balon
Posts: 11
Joined: Sat Jul 25, 2015 3:12 pm

Re: 1.93 Upgrade Issue

Post by balon » Tue Nov 21, 2017 12:13 pm

I usually update the panel first.. then connect each monitor after the panel is a success.

I will try now.

balon
Posts: 11
Joined: Sat Jul 25, 2015 3:12 pm

Re: 1.93 Upgrade Issue

Post by balon » Tue Nov 21, 2017 12:37 pm

Works... issue with monitor connecting to remote however. Investigating that..

balon
Posts: 11
Joined: Sat Jul 25, 2015 3:12 pm

Re: 1.93 Upgrade Issue

Post by balon » Tue Nov 21, 2017 12:51 pm

Ah I renewed all my licenses. Makes sense!

balon
Posts: 11
Joined: Sat Jul 25, 2015 3:12 pm

Re: 1.93 Upgrade Issue

Post by balon » Tue Nov 21, 2017 1:21 pm

Question for you masher:

Can we force usage of TLS-FTP? Or is that not a feature (yet).

Masher
Site Admin
Posts: 3191
Joined: Thu Apr 20, 2006 2:54 pm
Location: Ohio
Contact:

Re: 1.93 Upgrade Issue

Post by Masher » Tue Nov 21, 2017 4:44 pm

Not currently, will add an option in next update.
Masher
-----------
Please do not PM me unless asked to! We are a small company and if you have an issue or question it would be best to post it in the forums where it can help others in the future.

Need an affordable web control panel? Try UGCC.

Masher
Site Admin
Posts: 3191
Joined: Thu Apr 20, 2006 2:54 pm
Location: Ohio
Contact:

Re: 1.93 Upgrade Issue

Post by Masher » Mon Dec 04, 2017 10:02 pm

So further looking into this, this will break the panel's FTP file tool as the ftp client library I'm using doesn't support TLS. Something I plan to look into though.
Masher
-----------
Please do not PM me unless asked to! We are a small company and if you have an issue or question it would be best to post it in the forums where it can help others in the future.

Need an affordable web control panel? Try UGCC.

Pacetti
Posts: 1
Joined: Wed Dec 06, 2017 4:36 am

Re: 1.93 Upgrade Issue

Post by Pacetti » Fri Dec 15, 2017 8:41 am

Masher wrote:
Mon Dec 04, 2017 10:02 pm
So further looking into this, this will break the panel's FTP file tool as the ftp client library I'm using doesn't support TLS. Something I plan to look into though.
That's funny, I was going to recommend this as a new feature. Great to see you're already considering it, Masher. Any ETA by any chance?

Post Reply

Who is online

Users browsing this forum: No registered users and 8 guests